## cyrus-sasl2 2.1.28+dfsg

=== debian/changelog ===
cyrus-sasl2 (2.1.28+dfsg-8) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Add SASL channel binding support for GSSAPI and GSS-SPNEGO
    (LP: #1912256):
    - d/p/0034-channel-binding-gssapi-gss-spnego.patch: add SASL channel
      binding support for GSSAPI and GSS-SPNEGO
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-1.patch:
      allow setting maxssf to 0 when using GSS-SPNEGO inside SSL/TLS
    - d/p/0035-Add-support-for-setting-max-ssf-0-to-GSS-SPNEGO-2.patch:
      be more conformant to RFC4752

 -- Bastian Germann <bage@debian.org>  Mon, 05 Sep 2022 14:30:39 +0200

cyrus-sasl2 (2.1.28+dfsg-7) unstable; urgency=medium

  * d/tests: Relicense to GPL-3
  * Patch: honor log level option on clients (LP: #827151)

 -- Bastian Germann <bage@debian.org>  Thu, 18 Aug 2022 23:24:01 +0200

cyrus-sasl2 (2.1.28+dfsg-6) unstable; urgency=high

  * d/copyright: Add debian/tests info

  [ Andreas Hasenack ]
  * d/p/0026-Gracefully-handle-failed-init.patch (Closes: #1011249)
  * d/p/0027-Catch-errors-from-EVP_Digest-functions.patch
  * d/p/0029-Load-OpenSSL3-legacy-provider-digestmd5.patch
  * d/t/{control,shared-secret-mechs}: test shared secret mechanisms

 -- Bastian Germann <bage@debian.org>  Thu, 19 May 2022 22:10:49 +0200

cyrus-sasl2 (2.1.28+dfsg-5) unstable; urgency=medium

  * Recover upstream-compatible debian/* license
  * debian/po: Convert non-UTF-8 to UTF-8
  * Patch: Fix time.h check (fixes implicit-function-declarations)

  [ Andreas Hasenack ]
  * d/t/{control,pluginviewer}: test available mechanisms
  * d/t/{control,saslauthd}: saslauthd tests with multiple mechanisms
  * d/t/{control,gssapi}: test for SASL GSSAPI using OpenLDAP

 -- Bastian Germann <bage@debian.org>  Sat, 14 May 2022 14:32:58 +0200

cyrus-sasl2 (2.1.28+dfsg-4) unstable; urgency=medium

  * d/copyright: java/* files were removed upstream
  * d/copyright: Reformat the default license's margin
  * d/copyright: Add project's license to include/makemd5.c
  * Move SCRAM to libsasl2-modules (Closes: #977360)
  * Install additional GS2 module for Heimdal
  * Remove Roberto from the Uploaders
  * Drop 0005-Fixes-in-library-mutexes.patch
  * Drop 0021-Fix-keytab-option-for-MIT-Kerberos.patch
  * Remove former logcheck conffile (Closes: #1009851)
  * lintian: Fix excessive-priority-for-library-package
  * lintian: Fix package-contains-empty-directory

 -- Bastian Germann <bage@debian.org>  Wed, 20 Apr 2022 01:01:01 +0200

cyrus-sasl2 (2.1.28+dfsg-3) unstable; urgency=high

  * Set MIT/Heimdal CFLAGS instead of CPPFLAGS
  * Drop unnecessary 0027-properly-create-libsasl2.pc.patch
  * Prevent installing outdated ChangeLog (Closes: #1009681)
  * Remove debug log message and its logcheck rule (Closes: #805310)
  * Self-reference pluginviewer man as saslpluginviewer (Closes: #1009380)
  * Get rid of broken README.configure-options
  * Add sasldbconverter2.8 manpage
  * d/copyright: Add missing KTH license
  * Install libsasl.5 manpage

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Bastian Germann <bage@debian.org>  Fri, 15 Apr 2022 12:02:13 +0200

cyrus-sasl2 (2.1.28+dfsg-2) unstable; urgency=medium

  * Remove cruft

 -- Bastian Germann <bage@debian.org>  Fri, 25 Feb 2022 18:58:54 +0100

cyrus-sasl2 (2.1.28+dfsg-1) experimental; urgency=medium

  * Drop upstream patches
  * Import new release signing key
  * Reset repacksuffix
  * New upstream version 2.1.28+dfsg (CVE-2022-24407)
  * Rebase 0027-properly-create-libsasl2.pc.patch

 -- Bastian Germann <bage@debian.org>  Tue, 22 Feb 2022 23:40:47 +0100
