=== debian/control ===
Source: cyrus-sasl2
Section: libs
Priority: optional
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Bastian Germann <bage@debian.org>,
           Adam Conrad <adconrad@0c3.net>
Standards-Version: 4.3.0.1
Build-Depends: chrpath,
               debhelper-compat (= 12),
               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
               docbook-to-man,
               groff-base,
               heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
               krb5-multidev <!pkg.cyrus-sasl2.nogssapi>,
               libdb-dev,
               libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
               libldap2-dev <!pkg.cyrus-sasl2.noldap>,
               libpam0g-dev,
               libpod-pom-view-restructured-perl:native,
               libpq-dev <!pkg.cyrus-sasl2.nosql>,
               libsqlite3-dev,
               libssl-dev,
               po-debconf,
               python3-sphinx-rtd-theme:native,
               quilt
Build-Conflicts: heimdal-dev
Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
Vcs-Git: https://salsa.debian.org/debian/cyrus-sasl2.git
Homepage: https://www.cyrusimap.org/sasl/

Package: sasl2-bin
Section: utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: db-util,
         libsasl2-2 (>= ${binary:Version}),
         lsb-base,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.

Package: cyrus-sasl2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         sphinx-rtd-theme-common
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libsasl2-modules-db (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libsasl2-modules (>= ${binary:Version})
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, SCRAM, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.

Package: libsasl2-modules
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal,
          libsasl2-modules-ldap,
          libsasl2-modules-otp,
          libsasl2-modules-sql
Replaces: libsasl2-modules-gssapi-mit (<< 2.1.28+dfsg-4)
Breaks: libsasl2-modules-gssapi-mit (<< 2.1.28+dfsg-4)
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, SCRAM, CRAM-MD5, and DIGEST-MD5 (with DES support, deprecated).

Package: libsasl2-modules-db
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (DB)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the DB plugin, which supports Berkeley DB lookups.

Package: libsasl2-modules-ldap
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Build-Profiles: <!pkg.cyrus-sasl2.noldap>
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Build-Profiles: <!pkg.cyrus-sasl2.nosql>
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-modules-gssapi-mit
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-heimdal
Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the MIT
 Kerberos 5 library.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libsasl2-2 (= ${binary:Version}),
         ${misc:Depends}
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: libsasl2-modules-gssapi-heimdal
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-mit
Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
Description: Pluggable Authentication Modules for SASL (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the Heimdal
 Kerberos 5 library.
