=== debian/watch ===
version=4

opts=\
repack,\
compression=xz,\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/-?(rc\d+)/~$1/,\
pgpsigurlmangle=s/$/.sig/,\
filenamemangle=s/.+\/cyrus-sasl-(\S+)\.tar\.gz/cyrus-sasl-$1\.tar\.gz/ \
  https://github.com/cyrusimap/cyrus-sasl/releases .*/cyrus-sasl-(\S+)\.tar\.gz
