=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: cyrus-sasl2
 Section: libs
 Priority: optional
-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
-Uploaders: Fabian Fagerholm <fabbe@debian.org>,
-           Ondřej Surý <ondrej@debian.org>,
-           Bastian Germann <bage@debian.org>,
-           Adam Conrad <adconrad@0c3.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>,
 Standards-Version: 4.3.0.1
-Build-Depends: chrpath,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
+               libpod-pom-view-restructured-perl:native <!nodoc>,
+Build-Depends-Arch:
+               chrpath,
                default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
                docbook-to-man,
                groff-base,
                heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
                krb5-multidev <!pkg.cyrus-sasl2.nogssapi>,
                libdb-dev,
+               libcrypt-dev,
                libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
                libldap2-dev <!pkg.cyrus-sasl2.noldap>,
                libpam0g-dev,
-               libpod-pom-view-restructured-perl:native,
-               libpq-dev <!pkg.cyrus-sasl2.nosql>,
+               libpq-dev [!i386] <!pkg.cyrus-sasl2.nosql>,
                libsqlite3-dev,
                libssl-dev,
                po-debconf,
-               python3-sphinx-rtd-theme:native,
-               quilt
+               python3-sphinx <!nodoc>
+Build-Depends-Indep: python3-sphinx-rtd-theme,
 Build-Conflicts: heimdal-dev
 Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
 Vcs-Git: https://salsa.debian.org/debian/cyrus-sasl2.git
@@ -36,7 +36,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: db-util,
          libsasl2-2 (>= ${binary:Version}),
-         lsb-base,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
@@ -50,8 +49,10 @@
 Package: cyrus-sasl2-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends},
          sphinx-rtd-theme-common
+Multi-Arch: foreign
 Description: Cyrus SASL - documentation
  This is the Cyrus SASL API implementation, version 2.1. See package
  libsasl2-2 and RFC 2222 for more information.
@@ -148,6 +149,8 @@
  .
  This package provides the SQL plugin, which supports MySQL, PostgreSQL
  and SQLite.
+ .
+ NOTE: PostgreSQL support is not available on i386.
 
 Package: libsasl2-modules-gssapi-mit
 Architecture: any
@@ -167,8 +170,9 @@
 Package: libsasl2-dev
 Section: libdevel
 Architecture: any
-Depends: libc6-dev,
+Depends: libc-dev,
          libsasl2-2 (= ${binary:Version}),
+         libssl-dev,
          ${misc:Depends}
 Description: Cyrus SASL - development files for authentication abstraction library
  This is the Cyrus SASL API implementation, version 2. See package
