=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
 # (at your option) any later version.
 #
 # Note that Cyrus SASL itself is published under a different license.
-
-# Debhelper control.
-export DH_ALWAYS_EXCLUDE=CVS
-#export DH_VERBOSE=1 # uncomment this to turn on verbose mode
 
 # Enable package hardening through dpkg-buildflags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -31,14 +27,11 @@
 export ac_cv_gssapi_supports_spnego=yes
 endif
 
-# see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 # see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 # Save Berkeley DB used for building the package
 BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
@@ -68,6 +61,13 @@
 	CONFIGURE_GSSAPI=--disable-gssapi
 	DH_PACKAGE_EXCLUDES += -Nlibsasl2-modules-gssapi-mit \
 		-Nlibsasl2-modules-gssapi-heimdal
+endif
+
+# PostgreSQL support is disabled on i386 architecture
+ifeq ($(DEB_HOST_ARCH),i386)
+	CONFIGURE_PGSQL=--without-pgsql
+else
+	CONFIGURE_PGSQL=--with-pgsql=/usr
 endif
 
 CONFIGURE_COMMON_OPTIONS= \
@@ -96,7 +96,7 @@
 	$(CONFIGURE_SQL) \
 	--with-sqlite3=/usr \
 	--with-mysql=/usr \
-	--with-pgsql=/usr \
+	$(CONFIGURE_PGSQL) \
 	$(CONFIGURE_LDAPDB) \
 	--disable-macos-framework \
 	--with-pam=/usr \
@@ -105,8 +105,7 @@
 	--with-configdir=/etc/sasl2:/etc/sasl:/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2:/usr/lib/sasl2 \
 	--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2 \
 	--sysconfdir=/etc \
-	--with-devrandom=/dev/urandom \
-	--with-sphinx-build
+	--with-devrandom=/dev/urandom
 
 # Some convenience variables
 export TMPBUILD_MIT := build-mit
@@ -143,12 +142,17 @@
 			lib/anonymous.c lib/login.c lib/ntlm.c lib/sql.c lib/ldapdb.c
 
 	# Remove generated man pages
-	-rm -f sasl-sample-client.8 sasl-sample-server.8 gen-auth.1
+	-rm -f sasl-sample-client.8 sasl-sample-server.8
 
 	# Remove build directories
 	rm -rf $(TMP_MIT) $(TMP_HEIMDAL)
 
-override_dh_auto_configure:
+override_dh_auto_configure-indep:
+	dh_auto_configure -- --with-sphinx-build
+
+override_dh_auto_configure-arch:
+	$(file > common/crypto-compat.c,)
+	$(file > common/crypto-compat.h,)
 	LDFLAGS="$(LDFLAGS) $(HEIMDAL_LDFLAGS)" \
 	CFLAGS="$(CFLAGS) $(HEIMDAL_CFLAGS)" \
 	dh_auto_configure -B$(TMPBUILD_HEIMDAL) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=heimdal
@@ -157,24 +161,28 @@
 	CFLAGS="$(CFLAGS) $(MIT_CFLAGS)" \
 	dh_auto_configure -B$(TMPBUILD_MIT) -- $(CONFIGURE_COMMON_OPTIONS) --with-gss_impl=mit
 
-override_dh_auto_build:
+override_dh_auto_build-indep:
 	-mkdir docsrc/exts/themes
 	-ln -s /usr/share/sphinx_rtd_theme docsrc/exts/themes/cyrus
+	dh_auto_build -- doc-html
+
+override_dh_auto_build-arch:
+	-mkdir docsrc/exts/themes
 	dh_auto_build -B$(TMPBUILD_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
-	dh_auto_build -B$(TMPBUILD_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2 all doc-html
+	dh_auto_build -B$(TMPBUILD_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2 all
 
 	# Build sample-{client,server}
-	$(MAKE) -f ../debian/sample/Makefile -C sample T=../$(TMPBUILD_MIT)
+	$(MAKE) -f debian/sample/Makefile T=$(TMPBUILD_MIT)
 
 	# Build the sasl-sample-client and sasl-sample-server man pages.
 	/usr/bin/docbook-to-man debian/sasl-sample-client.sgml \
 		> sasl-sample-client.8
 	/usr/bin/docbook-to-man debian/sasl-sample-server.sgml \
 		> sasl-sample-server.8
-	# Build the gen-auth man page
-	/usr/bin/pod2man --stderr debian/gen-auth/gen-auth >gen-auth.1
-
-override_dh_auto_install:
+
+override_dh_auto_install-indep:
+
+override_dh_auto_install-arch:
 	dh_auto_install -B$(TMPBUILD_HEIMDAL) --destdir=$(TMP_HEIMDAL) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
 	dh_auto_install -B$(TMPBUILD_MIT) --destdir=$(TMP_MIT) -- sasldir=/usr/lib/$(DEB_HOST_MULTIARCH)/sasl2
